Page MenuHomePhabricator

External services should open in a new window
Closed, ResolvedPublic

Description

Problem identified:
The links in the More details sidebar open within the same tab, thus navigating the user away from the Wikipedia article he was reading.

Suggested fix:

<a target="_blank" ...>

Concern to address:
This is common behavior on Wikipedia, and can be configured with wgExternalLinkTarget. Why should it be any different?

Event Timeline

Esanders created this task.Jan 23 2017, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 7:45 PM

Change 333716 had a related patch set uploaded (by Esanders):
Open external links in new window

https://gerrit.wikimedia.org/r/333716

@Esanders should it be based upon $wgExternalLinkTarget ? besides that, ok

debt added a subscriber: debt.Jan 25 2017, 1:56 PM

Does this patch address the issue raised here: T150970?

@debt No.

This is talking about the external links in the More details sidebar. It has nothing to do with the full screen VS modal design

debt added a comment.Jan 26 2017, 4:24 PM

Thanks for the clarification, @JGirault, the details on this particular ticket were pretty vague.

JGirault updated the task description. (Show Details)Jan 27 2017, 12:22 AM
MaxSem added a subscriber: MaxSem.Jan 27 2017, 12:46 AM

$wgExternalLinkTarget is for third parties only, it will never flipped on WMF projects. When considering the behavior of external links, one needs to consider both usability guidelines (that strongly advocate for the same window in general case) and usage considerations for each particular case. Here, following an external link in the same window and then returning would result in map position being reset because we don't update window hashes with position or otherwise save it. I guess target="_blank" would not be needed once we have the oojas router in place.

$wgExternalLinkTarget is for third parties only, it will never flipped on WMF projects. When considering the behavior of external links, one needs to consider both usability guidelines (that strongly advocate for the same window in general case) and usage considerations for each particular case. Here, following an external link in the same window and then returning would result in map position being reset because we don't update window hashes with position or otherwise save it. I guess target="_blank" would not be needed once we have the oojas router in place.

Thanks @MaxSem, this is a strong argument in favor of the new window. Based on this, let's approve the change.

Change 333716 merged by jenkins-bot:
Open external links in new window

https://gerrit.wikimedia.org/r/333716

JGirault moved this task from Backlog to Done on the Maps-Sprint board.Jan 27 2017, 1:24 AM
JGirault assigned this task to Esanders.
Esanders closed this task as Resolved.Apr 27 2017, 4:50 PM